import { AccountModule, AccountCmdEnum as CmdEnum } from '../../core';
import Server from '../../core/libs/modules/account/help/Server';
export default class Account extends AccountModule {
    private chrome;
    [CmdEnum.IsLogin](environment?: string): boolean;
    protected openLoginBrowser(url: string, server: Server | {
        close: () => void;
    }): Promise<void>;
    protected closeBrowser(): void;
    protected clearUserData(): void;
    protected updateFeatureGating(): Promise<void>;
}
